## com.vividsolutions.jts.operation.buffer.validate
Class BufferCurveMaximumDistanceFinder

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.validate.BufferCurveMaximumDistanceFinder

public class BufferCurveMaximumDistanceFinder
extends java.lang.Object

Finds the approximate maximum distance from a buffer curve to the originating geometry. This is similar to the Discrete Oriented Hausdorff distance from the buffer curve to the input.

The approximate maximum distance is determined by testing all vertices in the buffer curve, as well as midpoints of the curve segments. Due to the way buffer curves are constructed, this should be a very close approximation.

Author:
  mbdavis

Nested Class Summary
`static class` `BufferCurveMaximumDistanceFinder.MaxMidpointDistanceFilter`
`static class` `BufferCurveMaximumDistanceFinder.MaxPointDistanceFilter`

Constructor Summary
`BufferCurveMaximumDistanceFinder(Geometry inputGeom)`

Method Summary
`double` `findDistance(Geometry bufferCurve)`
`PointPairDistance` `getDistancePoints()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferCurveMaximumDistanceFinder

    public BufferCurveMaximumDistanceFinder(Geometry inputGeom)

Method Detail

### findDistance

    public double findDistance(Geometry bufferCurve)

### getDistancePoints

    public PointPairDistance getDistancePoints()